## ros-one-moveit-fake-controller-manager 1.1.16-49jammy.20251208.0835

=== debian/changelog ===
ros-one-moveit-fake-controller-manager (1.1.16-49jammy.20251208.0835) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Mon, 08 Dec 2025 08:35:43 +0000

ros-one-moveit-fake-controller-manager (1.1.16-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.15-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.14-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.13-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.12-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.11-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.10-0jammy) jammy; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Michael Görner <me@v4hn.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.9-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.8-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.7-0jammy) jammy; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof

 -- Michael Görner <me@v4hn.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.6-0jammy) jammy; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Robert Haschke, pvanlaar

 -- Michael Görner <me@v4hn.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.5-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.4-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.3-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.2-0jammy) jammy; urgency=high

  * Fix formatting errors
  * Contributors: Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.1-0jammy) jammy; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.0-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.6-0jammy) jammy; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.5-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 08 Jul 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.4-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 30 May 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.3-0jammy) jammy; urgency=high

  * [fix]   Handle "default" parameter in MoveitControllerManagers
    MoveIt{Fake|Simple}ControllerManager::getControllerState() now correctly returns current state
  * [fix]   Handle incomplete group states
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan, Luca Lach

 -- Michael Görner <me@v4hn.de>  Sun, 26 Apr 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.2-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.1-0jammy) jammy; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Michael Görner <me@v4hn.de>  Fri, 08 Mar 2019 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.0-0jammy) jammy; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 24 Feb 2019 00:00:00 -0000

ros-one-moveit-fake-controller-manager (0.10.8-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 24 Dec 2018 00:00:00 -0000

ros-one-moveit-fake-controller-manager (0.10.7-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 13 Dec 2018 00:00:00 -0000

ros-one-moveit-fake-controller-manager (0.10.6-0jammy) jammy; urgency=high

  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)


## ros-one-moveit-fake-controller-manager 1.1.16-49noble.20251208.1509

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_fake_controller_manager)

find_package(Boost REQUIRED thread)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  pluginlib
  roscpp
)
moveit_build_options()

include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

catkin_package(
  LIBRARIES
  INCLUDE_DIRS
  CATKIN_DEPENDS
    moveit_core
    moveit_ros_planning
    roscpp
)

add_library(${PROJECT_NAME}
   src/moveit_fake_controller_manager.cpp
   src/moveit_fake_controllers.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(FILES moveit_fake_controller_manager_plugin_description.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
       )

=== debian/changelog ===
ros-one-moveit-fake-controller-manager (1.1.16-49noble.20251208.1509) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Mon, 08 Dec 2025 15:09:09 +0000

ros-one-moveit-fake-controller-manager (1.1.16-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.15-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.14-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.13-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.12-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.11-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.10-0noble) noble; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Michael Görner <me@v4hn.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.9-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.8-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.7-0noble) noble; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof

 -- Michael Görner <me@v4hn.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.6-0noble) noble; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Robert Haschke, pvanlaar

 -- Michael Görner <me@v4hn.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.5-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.4-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.3-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.2-0noble) noble; urgency=high

  * Fix formatting errors
  * Contributors: Tyler Weaver

 -- Michael Görner <me@v4hn.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.1-0noble) noble; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.1.0-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.6-0noble) noble; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.5-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 08 Jul 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.4-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 30 May 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.3-0noble) noble; urgency=high

  * [fix]   Handle "default" parameter in MoveitControllerManagers
    MoveIt{Fake|Simple}ControllerManager::getControllerState() now correctly returns current state
  * [fix]   Handle incomplete group states
  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan, Luca Lach

 -- Michael Görner <me@v4hn.de>  Sun, 26 Apr 2020 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.2-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.1-0noble) noble; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Michael Görner <me@v4hn.de>  Fri, 08 Mar 2019 00:00:00 -0000

ros-one-moveit-fake-controller-manager (1.0.0-0noble) noble; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 24 Feb 2019 00:00:00 -0000

ros-one-moveit-fake-controller-manager (0.10.8-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 24 Dec 2018 00:00:00 -0000

ros-one-moveit-fake-controller-manager (0.10.7-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 13 Dec 2018 00:00:00 -0000

ros-one-moveit-fake-controller-manager (0.10.6-0noble) noble; urgency=high

  * [maintenance] Code Cleanup (#1196 <https://github.com/ros-planning/moveit/issues/1196>)


=== debian/control ===
Source: ros-one-moveit-fake-controller-manager
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-fake-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp
Description: A fake controller manager plugin for MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-fake-controller-manager//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-fake-controller-manager 1.1.16-50jammy.20260128.2201

=== debian/changelog ===
ros-one-moveit-fake-controller-manager (1.1.16-50jammy.20260128.2201) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Wed, 28 Jan 2026 22:01:10 +0000

## ros-one-moveit-fake-controller-manager 1.1.16-50noble.20260128.2209

=== debian/changelog ===
ros-one-moveit-fake-controller-manager (1.1.16-50noble.20260128.2209) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Wed, 28 Jan 2026 22:09:23 +0000

## ros-one-moveit-fake-controller-manager 1.1.16-51jammy.20260301.2151

=== debian/changelog ===
ros-one-moveit-fake-controller-manager (1.1.16-51jammy.20260301.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Sun, 01 Mar 2026 21:51:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Görner <me@v4hn.de>
 Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-fake-controller-manager

## ros-one-moveit-fake-controller-manager 1.1.16-51noble.20260301.2146

=== debian/changelog ===
ros-one-moveit-fake-controller-manager (1.1.16-51noble.20260301.2146) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Sun, 01 Mar 2026 21:46:12 +0000
